# // Average < FLOAT Array[], INT Array_length >         
+
  'Total = 0

  for I = 0; I < Array_length; I ++
  +
    Total += Array[I] 
  ;

  return Total / I | 0 <- I != 0                                               /* !!! */
;